## chmlib 0.35

=== Makefile ===

## Available defines for building chm_lib with particular options
# CHM_MT:        build thread-safe version of chm_lib
# CHM_USE_PREAD: build chm_lib to use pread/pread64 for all I/O
# CHM_USE_IO64:  build chm_lib to support 64-bit file I/O
#
# Note: LDFLAGS must contain -lpthread if you are using -DCHM_MT.
#
#CFLAGS=-DCHM_MT -DCHM_USE_PREAD -DCHM_USE_IO64
#CFLAGS=-DCHM_MT -DCHM_USE_PREAD -DCHM_USE_IO64 -g -DDMALLOC_DISABLE
CFLAGS=-g -O2 -DCHM_MT -DCHM_USE_PREAD -DCHM_USE_IO64 -DDMALLOC_DISABLE 
LDFLAGS= -lpthread
INSTALLPREFIX=/usr/local
CC=gcc
top_builddir=
ifeq ($(top_builddir),)
top_builddir=$(shell pwd)
endif
LIBTOOL=$(SHELL) $(top_builddir)/libtool
EXAMPLES=test_chmLib enum_chmLib enumdir_chmLib extract_chmLib chm_http

all: src/libchm.la

examples: ${EXAMPLES}

%.lo: %.c
	${LIBTOOL} --mode=compile ${CC} -c -o $@ $^ ${CFLAGS}

src/libchm.la: src/chm_lib.lo src/lzx.lo
	${LIBTOOL} --mode=link ${CC} -o $@ $^ ${LDFLAGS} -rpath ${INSTALLPREFIX}/lib

install: src/libchm.la
	chmod a+r src/libchm.la
	${LIBTOOL} --mode=install cp src/libchm.la ${INSTALLPREFIX}/lib
	cp src/chm_lib.h ${INSTALLPREFIX}/include

clean:
	rm -fr src/libchm.la src/*.o src/*.lo .libs src/.libs src/${EXAMPLES}

test_chmLib: src/test_chmLib.c
	${CC} -o $@ $^ -I${INSTALLPREFIX}/include -L${INSTALLPREFIX}/lib -lchm ${CFLAGS}

enum_chmLib: src/enum_chmLib.c
	${CC} -o $@ $^ -I${INSTALLPREFIX}/include -L${INSTALLPREFIX}/lib -lchm ${CFLAGS}

enumdir_chmLib: src/enumdir_chmLib.c
	${CC} -o $@ $^ -I${INSTALLPREFIX}/include -L${INSTALLPREFIX}/lib -lchm ${CFLAGS}

extract_chmLib: src/extract_chmLib.c
	${CC} -o $@ $^ -I${INSTALLPREFIX}/include -L${INSTALLPREFIX}/lib -lchm ${CFLAGS}

chm_http: src/chm_http.c
	${CC} -o $@ $^ -I${INSTALLPREFIX}/include -L${INSTALLPREFIX}/lib -lchm -lpthread ${CFLAGS}

## chmlib 0.40

=== debian/changelog ===
chmlib (2:0.40-3) unstable; urgency=low

  * debian/source/format:
    + Use source format 3.0 (quilt)
  * debian/control:
    + Updated to Standards-Version 3.8.4
    + Wrapped up long description
  * debian/copyright:
    + Updated as per DEP-5 specifications
    + Added Debian package copyright

 -- Kartik Mistry <kartik@debian.org>  Wed, 19 May 2010 08:33:30 +0530

chmlib (2:0.40-2) unstable; urgency=low

  * Removal of .la and .a files as part of release goal
  * debian/control:
    + Updated to Standards-Version 3.8.3
    + Wrapped Build-Depends
  * debian/libchm-dev.install:
    + Do not install.la and .a files in package
  * Added debian/README.source file

 -- Kartik Mistry <kartik@debian.org>  Tue, 25 Aug 2009 16:37:22 +0530

chmlib (2:0.40-1) unstable; urgency=low

  * New upstream release (Closes: #532571)
    + Fixed bashism in /bin/sh scripts (Closes: #530116)
    + Fixed chm_http craches due to segmentation fault on massive
      fetching (Closes: #449209)
  * debian/control:
    + Updated to Standards-Version 3.8.2 (no changes needed)
  * debian/copyright:
    + Removed versionless symlink to license texts
  * debian/patches/src_Makefile.in.diff:
    + Updated for new version

 -- Kartik Mistry <kartik@debian.org>  Wed, 01 Jul 2009 14:33:30 +0530

chmlib (2:0.39-10) unstable; urgency=low

  * debian/control:
    + Updated my email address
    + Updated to Standards-Version 3.8.0 (no changes needed)
  * debian/:
    + [Lintian] Added symbols control file

 -- Kartik Mistry <kartik@debian.org>  Mon, 11 Aug 2008 11:58:52 +0530

chmlib (2:0.39-9) unstable; urgency=low

  * debian/rules:
    + Fixed FTBFS when converted to new source format quilt 3.0 by
      placing config.guess/config.sub section before ./configure call
      (Closes: #482725)

 -- Kartik Mistry <kartik.mistry@gmail.com>  Tue, 27 May 2008 15:07:28 +0530

chmlib (2:0.39-8) unstable; urgency=high

  * Urgency set to high due to RC bug fix
  * debian/copyright:
    + Corrected license of package (LGPL-2+) and added src/lzx.* files
      license (GPL-2+) separately (Closes: #479649)
  * debian/libchm1.docs:
    + Added AUTHORS file in list

 -- Kartik Mistry <kartik.mistry@gmail.com>  Tue, 06 May 2008 09:21:28 +0530

chmlib (2:0.39-7) unstable; urgency=low

  * Moved previously applied patches to debian/patches using quilt
  * debian/control:
    + Added quilt support
    + Updated Homepage entry
    + Updated Standards-Version to 3.7.3 (no changes needed)
    + Fixed typo of 'Microsoft', Thanks to Miguel Gea Milvaques
      <xerakko@debian.org> for pointing
  * debian/rules:
    + Added line to use verbose mode
    + Added quilt support
    + Don't ignore errors in clean rule by removing -i from distclean
  * debian/copyright:
    + Updated link of license to GPL-2
  * debian/changelog:
    + Fixed typo of 'package' from previous upload changelog

 -- Kartik Mistry <kartik.mistry@gmail.com>  Fri, 08 Feb 2008 17:28:33 +0530

chmlib (2:0.39-6) unstable; urgency=low

  * Reverted libchm-bin package to real package from trasitional package,
    as test programs are useful in other way, Thanks to Paul Wise
    <pabs@debian.org> for pointing out
  * debian/control: moved homepage to real control field
  * Added debian/watch file
  * debian/rules: intended configure flags, changes related to libchm-bin
    package
  * debian/copyright: moved copyright out of license section

 -- Kartik Mistry <kartik.mistry@gmail.com>  Tue, 14 Nov 2007 17:14:45 +0530

chmlib (2:0.39-5) unstable; urgency=low

  * Improved all manpages, Thanks to Mohammed Adnène Trojette <adn+deb@diwi.org>
    for tips and patch
  * debian/rules: minor cleanups, better clean target, provides upstream
    changelog now using NEWS file
  * debian/copyright: text formatted to 80 chars
  * debian/control: added hompage to long descriptions

 -- Kartik Mistry <kartik.mistry@gmail.com>  Mon, 30 Jul 2007 11:35:03 +0530

chmlib (2:0.39-4) unstable; urgency=low

  * New Maintainer (Closes: #416954, #416972)
  * debian/copyright: formatted to standard copyright file
  * debian/control: added ${misc:Depends}, minor cleanups, made description
    meaningful shorter
  * Updated debhelper compability to 5
  * debian/rules: minor cleanups, config.guess/config.sub need to be present
    in .diff.gz
  * Merged libchm-bin into libchm-dev since separate dedicated package only for
    testing is not good idea
  * Added libchm-bin as a transition package
  * All manpages are now standard manpages, removed useless commented parts
  * debian/docs is prefixed now
  * Removed useless *.dirs files
  * Instead of moving files by hand using mv *.install is taking care now
  * Added libchm-dev.manpages to make debian/rules simple

 -- Kartik Mistry <kartik.mistry@gmail.com>  Sat, 07 Apr 2007 14:15:55 +0530

chmlib (2:0.39-3) unstable; urgency=low

  * Orphan package

 -- Julien Lemoine <speedblue@debian.org>  Sat, 31 Mar 2007 19:42:55 +0200

chmlib (2:0.39-2) unstable; urgency=low

  * Applied patch from Paul Wise to extract_chmLib to make it know
    the difference between empty files and directories inside a chm file.
    (Closes: #409439)

 -- Julien Lemoine <speedblue@debian.org>  Sat,  3 Feb 2007 10:57:25 +0100

chmlib (2:0.39-1) unstable; urgency=high

  * New upstream release, fixed unsafe alloca() call (Closes: #408603)

 -- Julien Lemoine <speedblue@debian.org>  Sat, 27 Jan 2007 21:00:41 +0100

chmlib (0.380-2) unstable; urgency=low

  * Include patch of 0.38-3 reverted by error in upload of chmlib 0.380-1 :
    Fixed typo in debian/rules file :
    binaries were installed in /usr/bin/bin instead of /usr/bin in libchm-bin
    package (Closes: #383915)

 -- Julien Lemoine <speedblue@debian.org>  Mon, 28 Aug 2006 20:42:27 +0200

chmlib (0.380-1) unstable; urgency=low

  * Fixed lintian warning : removed .svn directory from upstream sources

 -- Julien Lemoine <speedblue@debian.org>  Tue, 22 Aug 2006 13:47:10 +0200

chmlib (0.38-2) unstable; urgency=low



=== debian/control ===
Source: chmlib
Section: libs
Priority: optional
Maintainer: Kartik Mistry <kartik@debian.org>
Build-Depends: debhelper (>= 7),
               autotools-dev,
               libtool
Homepage: http://www.jedrea.com/chmlib/
Standards-Version: 3.8.4

Package: libchm1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: xchm (<= 1.2.0-2)
Description: library for dealing with Microsoft CHM files
 It is a very simple library, but sufficient for dealing with all of the chm
 files. Library currently does not has write support.
 .
 CHM files are used on the Microsoft Windows platform to store program
 documentation, almost always in the form of HTML, with some non-standard
 quirks. CHM files are a form of archive known as InfoTech Storage Format
 (ITSF) files and contain some special files to implement features of the
 CHM viewer.

Package: libchm-dev
Architecture: any
Section: libdevel
Depends: libchm1 (= ${binary:Version}), ${misc:Depends}
Conflicts: libchm-bin (<< 2:0.39-6)
Description: library for dealing with Microsoft CHM files (development)
 It is a very simple library, but sufficient for dealing with all of the chm
 files. Library currently does not has write support.
 .
 CHM files are used on the Microsoft Windows platform to store program
 documentation, almost always in the form of HTML, with some non-standard
 quirks. CHM files are a form of archive known as InfoTech Storage Format
 (ITSF) files and contain some special files to implement features of the
 CHM viewer.
 .
 This package includes development headers, libraries and test programs.

Package: libchm-bin
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libchm-dev (<< 2:0.39-6)
Description: library for dealing with Microsoft CHM files (test programs)
 It is a very simple library, but sufficient for dealing with all of the chm
 files. Library currently does not has write support.
 .
 CHM files are used on the Microsoft Windows platform to store program
 documentation, almost always in the form of HTML, with some non-standard
 quirks. CHM files are a form of archive known as InfoTech Storage Format
 (ITSF) files and contain some special files to implement features of the
 CHM viewer.
 .
 This package includes test programs.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir

ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif

	./configure CFLAGS="$(CFLAGS)" \
		    --host=$(DEB_HOST_GNU_TYPE) \
		    --build=$(DEB_BUILD_GNU_TYPE) \
		    --prefix=/usr \
		    --mandir=\$${prefix}/share/man \
		    --infodir=\$${prefix}/share/info \
		    --enable-examples || cat config.log
	touch $@

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -rf build-stamp configure-stamp test_chmLib config.log config.cache
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -k NEWS
	dh_installdocs
	dh_installman
	dh_installexamples ChmLib-ds6.zip ChmLib-ce.zip
	dh_installexamples -p libchm-dev src/chm_http.c \
		 src/enum_chmLib.c src/enumdir_chmLib.c \
		 src/extract_chmLib.c src/test_chmLib.c
	dh_install --sourcedir=debian/tmp
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -plibchm1 -V 'libchm1 (>= 0.39-5)'
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://www.jedrea.com/chmlib/chmlib-(.*)\.tar\.gz

## chmlib 0.40a

=== debian/changelog ===
chmlib (2:0.40a-5) unstable; urgency=low

  [ Ondřej Nový ]
  * debian/copyright:
    + Use https protocol in Format field.

  [ Kartik Mistry ]
  * debian/control:
    + Updated Standards-Version to 4.2.1
    + Updated Homepage.
    + libchm-bin should not be in libdevel as it contains binaries
      only (test programs).
  * debian/symbols:
    + Added Build-Depends-Package field.

 -- Kartik Mistry <kartik@debian.org>  Tue, 04 Dec 2018 14:08:26 +0530

chmlib (2:0.40a-4) unstable; urgency=low

  * debian/control:
    + Updated debhelper dependency to 11.
    + Removed build-depends on dh-autoreconf.
    + Updated to Standards-Version 4.1.3
    + Updated Vcs-* URLs.
  * debian/copyright:
    + Updated to DEP-5 copyright format.
  * debian/rules:
    + Added hardening support.

 -- Kartik Mistry <kartik@debian.org>  Tue, 16 Jan 2018 17:04:42 +0530

chmlib (2:0.40a-3) unstable; urgency=medium

  * debian/control:
    + Updated Standards-Version to 3.9.5
    + Added VCS-* URLs.
  * Use dh-autoreconf instead of autotools-dev (Closes: #733080).
    Thanks to Logan Rosen <logan@ubuntu.com> for patch.

 -- Kartik Mistry <kartik@debian.org>  Sun, 29 Dec 2013 19:25:28 +0530

chmlib (2:0.40a-2) unstable; urgency=low

  * debian/rules:
    + Enabled hardened build flags, Thanks to Moritz Muehlenhoff
      <jmm@debian.org> for patch. (Closes: #653955)
  * debian/copyright:
    + Fixed DEP5 URL.
    + Updated debian/* copyright year.

 -- Kartik Mistry <kartik@debian.org>  Mon, 02 Jan 2012 10:39:18 +0530

chmlib (2:0.40a-1) unstable; urgency=low

  * New upstream release:
    + Dropped all patches, merged upstream.
  * debian/copyright:
    + Updated to DEP-5 format.
  * debian/rules:
    + Added needed build targets.
  * debian/control:
    + Updated to Standards-Version 3.9.2.
    + Removed old conflicted version as they are no longer in Debian.

 -- Kartik Mistry <kartik@debian.org>  Mon, 21 Nov 2011 19:38:26 +0530

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,15 @@
 Section: libs
 Priority: optional
 Maintainer: Kartik Mistry <kartik@debian.org>
-Build-Depends: debhelper (>= 7),
-               autotools-dev,
-               libtool
-Homepage: http://www.jedrea.com/chmlib/
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.16.1.1), libtool
+Standards-Version: 4.2.1
+Homepage: https://github.com/jedwing/CHMLib
+Vcs-Git: https://salsa.debian.org/debian/chmlib.git
+Vcs-Browser: https://salsa.debian.org/debian/chmlib
 
 Package: libchm1
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: xchm (<= 1.2.0-2)
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: library for dealing with Microsoft CHM files
  It is a very simple library, but sufficient for dealing with all of the chm
  files. Library currently does not has write support.
@@ -26,7 +25,6 @@
 Architecture: any
 Section: libdevel
 Depends: libchm1 (= ${binary:Version}), ${misc:Depends}
-Conflicts: libchm-bin (<< 2:0.39-6)
 Description: library for dealing with Microsoft CHM files (development)
  It is a very simple library, but sufficient for dealing with all of the chm
  files. Library currently does not has write support.
@@ -41,9 +39,8 @@
 
 Package: libchm-bin
 Architecture: any
-Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libchm-dev (<< 2:0.39-6)
+Section: utils
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: library for dealing with Microsoft CHM files (test programs)
  It is a very simple library, but sufficient for dealing with all of the chm
  files. Library currently does not has write support.

=== debian/rules ===
--- 
+++ 
@@ -5,26 +5,21 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
-CFLAGS = -Wall -g
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
+CFLAGS = `dpkg-buildflags --get CFLAGS`
+CFLAGS += -Wall
+LDFLAGS = `dpkg-buildflags --get LDFLAGS`
+CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`
 
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
 
-ifneq "$(wildcard /usr/share/misc/config.sub)" ""
-	cp -f /usr/share/misc/config.sub config.sub
-endif
-ifneq "$(wildcard /usr/share/misc/config.guess)" ""
-	cp -f /usr/share/misc/config.guess config.guess
-endif
-
-	./configure CFLAGS="$(CFLAGS)" \
+	dh_autoreconf
+	./configure CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" CFLAGS="$(CFLAGS)" \
 		    --host=$(DEB_HOST_GNU_TYPE) \
 		    --build=$(DEB_BUILD_GNU_TYPE) \
 		    --prefix=/usr \
@@ -33,7 +28,9 @@
 		    --enable-examples || cat config.log
 	touch $@
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: configure-stamp
 	dh_testdir
 	$(MAKE)
@@ -44,7 +41,7 @@
 	dh_testroot
 	rm -rf build-stamp configure-stamp test_chmLib config.log config.cache
 	[ ! -f Makefile ] || $(MAKE) distclean
-	rm -f config.sub config.guess
+	dh_autoreconf_clean
 	dh_clean
 
 install: build
@@ -80,4 +77,4 @@
 	dh_builddeb
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install configure
+.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=4
http://www.jedrea.com/chmlib/chmlib-(.*)\.tar\.gz
